curl --request GET \
--url https://api.hubapi.com/automation/sequences/2026-03/{sequenceId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/automation/sequences/2026-03/{sequenceId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/automation/sequences/2026-03/{sequenceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/automation/sequences/2026-03/{sequenceId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/automation/sequences/2026-03/{sequenceId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hubapi.com/automation/sequences/2026-03/{sequenceId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/automation/sequences/2026-03/{sequenceId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"createdAt": "2023-11-07T05:31:56Z",
"dependencies": [
{
"createdAt": "2023-11-07T05:31:56Z",
"dependencyType": "ADAPTIVE_COMPLETION",
"id": "<string>",
"reliesOnSequenceStepId": "<string>",
"reliesOnStepOrder": 123,
"requiredBySequenceStepId": "<string>",
"requiredByStepOrder": 123,
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"id": "<string>",
"name": "<string>",
"steps": [
{
"actionType": "ADAPTIVE_CONTAINER",
"createdAt": "2023-11-07T05:31:56Z",
"delayMillis": 123,
"id": "<string>",
"stepOrder": 123,
"updatedAt": "2023-11-07T05:31:56Z",
"emailPattern": {
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"templateId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"threadEmailToStepOrder": 123
},
"taskPattern": {
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"taskPriority": "HIGH",
"taskType": "CALL",
"updatedAt": "2023-11-07T05:31:56Z",
"notes": "<string>",
"queueId": 123,
"subject": "<string>",
"templateId": 123,
"threadEmailToStepOrder": 123
}
}
],
"updatedAt": "2023-11-07T05:31:56Z",
"userId": "<string>",
"folderId": "<string>",
"settings": {
"createdAt": "2023-11-07T05:31:56Z",
"eligibleFollowUpDays": "BUSINESS_DAYS",
"id": "<string>",
"individualTaskRemindersEnabled": true,
"sellingStrategy": "ACCOUNT_BASED",
"sendWindowEndMinute": 123,
"sendWindowStartMinute": 123,
"taskReminderMinute": 123,
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Retrieve a sequence
Récupérer les détails d’une séquence spécifique en fonction de son identifiant.
curl --request GET \
--url https://api.hubapi.com/automation/sequences/2026-03/{sequenceId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/automation/sequences/2026-03/{sequenceId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/automation/sequences/2026-03/{sequenceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/automation/sequences/2026-03/{sequenceId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/automation/sequences/2026-03/{sequenceId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hubapi.com/automation/sequences/2026-03/{sequenceId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/automation/sequences/2026-03/{sequenceId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"createdAt": "2023-11-07T05:31:56Z",
"dependencies": [
{
"createdAt": "2023-11-07T05:31:56Z",
"dependencyType": "ADAPTIVE_COMPLETION",
"id": "<string>",
"reliesOnSequenceStepId": "<string>",
"reliesOnStepOrder": 123,
"requiredBySequenceStepId": "<string>",
"requiredByStepOrder": 123,
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"id": "<string>",
"name": "<string>",
"steps": [
{
"actionType": "ADAPTIVE_CONTAINER",
"createdAt": "2023-11-07T05:31:56Z",
"delayMillis": 123,
"id": "<string>",
"stepOrder": 123,
"updatedAt": "2023-11-07T05:31:56Z",
"emailPattern": {
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"templateId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"threadEmailToStepOrder": 123
},
"taskPattern": {
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"taskPriority": "HIGH",
"taskType": "CALL",
"updatedAt": "2023-11-07T05:31:56Z",
"notes": "<string>",
"queueId": 123,
"subject": "<string>",
"templateId": 123,
"threadEmailToStepOrder": 123
}
}
],
"updatedAt": "2023-11-07T05:31:56Z",
"userId": "<string>",
"folderId": "<string>",
"settings": {
"createdAt": "2023-11-07T05:31:56Z",
"eligibleFollowUpDays": "BUSINESS_DAYS",
"id": "<string>",
"individualTaskRemindersEnabled": true,
"sellingStrategy": "ACCOUNT_BASED",
"sendWindowEndMinute": 123,
"sendWindowStartMinute": 123,
"taskReminderMinute": 123,
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Supported products
Supported products
Required Scopes
Required Scopes
Autorisations
The access token received from the authorization server in the OAuth 2.0 flow.
Paramètres de chemin
Paramètres de requête
Réponse
successful operation
Date et heure de création de la séquence.
Un tableau de dépendances pour les étapes de la séquence, chacune représentée comme un objet PublicSequenceStepDependencyResponse.
Show child attributes
Show child attributes
L'identifiant unique de la séquence.
Le nom de la séquence.
Un ensemble d'étapes incluses dans la séquence, chacune représentée par un objet PublicSequenceStepResponse.
Show child attributes
Show child attributes
Date et heure de la dernière mise à jour de la séquence.
L'ID de l'utilisateur associé à la séquence.
L'identifiant du dossier contenant la séquence.
Show child attributes
Show child attributes